Bug 110968 - document public constructors of subclasses of com.arsdigita.runtime.AbstractConfig
document public constructors of subclasses of com.arsdigita.runtime.AbstractC...
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
  Show dependency treegraph
Reported: 2003-11-25 18:31 EST by Vadim Nasardinov
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-03 14:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vadim Nasardinov 2003-11-25 18:31:29 EST
All of the subclasses of AbstractConfig (that I cared to look at)
provide a public constructor that is not meant to be used.  At
the very least, these constructors should have javadoc along the lines of

     * Do not instantiate this class directly.
     * @see ContentSection#getConfig()
    public ContentSectionConfig() {

Ideally, the singletonness should be enforced rather than advised,
unless there is some fundamental reason why it can't be enforced.
Comment 1 Vadim Nasardinov 2005-08-03 14:38:38 EDT

Note You need to log in before you can comment on or make changes to this bug.